id: roblox-phish

info:
  name: roblox phishing Detection
  author: rxerium
  severity: info
  description: |
    A roblox phishing website was detected
  reference:
    - https://roblox.com
  metadata:
    max-request: 1
  tags: phishing,roblox,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Roblox is ushering in the next generation of entertainment. Imagine, create, and play together with millions of people across an infinite variety of immersive, user-generated 3D worlds.'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"roblox.com")'
# digest: 4b0a00483046022100e533ef7eebc00c5499e0aca1c4b01fb5b0bdbaf784e5ce7e66dbc7ab5b5600cb022100a7de7e486f230391b416c15d8b04c400469ecae355ecfc77d268568e0b29aa71:922c64590222798bb761d5b6d8e72950